$(document).ready(function(){
   queryData();
});

function queryData(){
	$("#context").html("");
	$.ajax({
		type:"POST",
		url:"findAccType.do",
		data:"",
		error:function(){
			alert("获取数据失败");
			return;
		},
		success:function(responseData){
			if (null != responseData) {
				for(var i=0;i<responseData.length;i++){
						var accTypeObj=responseData[i];
						var rowHtml = "<tr style=\"cursor:pointer\" id=\""+accTypeObj.accType+"\" onclick=\"choosEd(this)\"><td ondblclick=\"edit(this)\">"+accTypeObj.accDesc+"</td><td>"+getIsNull(accTypeObj.empNo)+"</td><td>"+accTypeObj.showUpdateDate+"</td><td>"+accTypeObj.showCreateDate+"</td></tr>";
						$("#context").append(rowHtml);
			    }
				
			}
		}
		
	});
	
}



//新增

function addInput(){
	
	//暂时停止
	alert("因数据重要,此数据暂时停止变更!");
	return;

	var addInput=document.getElementById("addInput");
	
	$("#context").html("");
	if(addInput==null||addInput==undefined){
		
		$("#context").prepend("<tr><td><input type=\"text\" class=\"input i_s_100\" id=\"editInput\" /></td><td></td><td></td><td></td></tr>");

	}else{
		$("#addInput").focus();
	}
	
}	


//保存

//var accDesc=null; 
function saveAccType(){
	
	//暂时停止
	alert("因数据重要,此数据暂时停止变更!");
	return;
	
	var accDesc = $("#editInput").val();	
	//添加到数据库请求AJAX
	$.ajax({

		type:"POST",
		url:"addAccType.do",
		data:{"accDesc":accDesc},
		dataType:'json',
		error:function(){
			alert("添加失败");
			return;
		},
		success:function(){
			queryData();
			alert("添加成功");
		}
	});
}







//删除
var index=null;
function removeRows(){
	
	//暂时停止
	alert("因数据重要,此数据暂时停止变更!");
	return;
	
	if(accType==null){
		alert("请选择要删除的行");
		return;
	}
	
	if(confirm("你真的要删除此列信息吗？")){
		
	$("#context tr").eq(index).remove();

	//ajax delete
	$.ajax({
		
		type:"POST",
		url:"deleteAccType.do",
		data:{"accType":accType},
		error:function(){
			alert("删除失败");
			return;
		},
		success:function(data){
			queryData();
			alert("删除成功");
		},
	});
	
	}
}

//点击选中某行
var accType=null;
function choosEd(flag){
	
	accType=$(flag).attr("id");
	$(flag).css("background-color", "#e5e5e5").siblings().css("background-color", "#FFFFFF");
	index=$(flag).index();
	
}


//delete

function deleteAccType(){
	
	//暂时停止
	alert("因数据重要,此数据暂时停止变更!");
	return;
	
	$.ajax({
		
		type:"POST",
		url:"deleteAccType.do",
		data:{"accType":accType},
		error:function(){
			alert("删除失败");
			return;
		},
		success:function(data){
			alert("删除成功");
		},
	});
}


//双击编辑

function edit(td){
	
	//暂时停止
	alert("因数据重要,此数据暂时停止变更!");
	return;
	
		var tdText=$(td).html();
		var tds=tdText.split('<');
		if(tds.length>1){
			return;
	
	}
	$(td).html("<input onblur='blurSave(this)' class='input i_s_240' type='text' value='"+$(td).html()+"'></input>");
	$(td).find("input")[0].focus();
}

//失焦恢复td
function blurSave(obj){
	var objTxt=$(obj).val();
	$(obj).parent().attr("id","changed");
	$(obj).parent().html(objTxt);

	saveEdit();
}

//保存编辑后的内容
function saveEdit(){
	var id = $("#changed").parent().attr("id");
	var accDesc = $("#"+id).find("td").eq(0).html();
	
	//提交数据至服务器

	$.ajax({
		
		type:"POST",
		url:"updateAccType.do",
		data:{"accType":accType,"accDesc":accDesc},
		error:function(){
			alert("提交新增失败");
			return;
		},
		success:function(data){
			alert("保存成功!");
			queryDeceit();
			$("#changed").removeAttr("id");
		}
	
	});
}

//去掉空
function getIsNull(val){
	 if(val==null){
		 return "";
	 }
	 return val;
}